%define anolis_release 1
%global pypi_name xgboost
%global pypi_version 2.0.3

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        XGBoost Python Package

License:        Apache-2.0
URL:            https://github.com/dmlc/xgboost
Source0:        %{pypi_source}

BuildRequires:  python3-pip
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(numpy)
BuildRequires:  python3dist(scikit-learn)
BuildRequires:  python3dist(pandas)
BuildRequires:  python3dist(matplotlib)
BuildRequires:  black graphviz
BuildRequires:  cmake gcc gcc-c++

Requires:       python3dist(numpy)
Requires:       python3dist(scikit-learn)
Requires:       python3dist(pandas)
Requires:       python3dist(matplotlib)
Requires:       black graphviz

%description
XGBoost is an optimized distributed gradient boosting library designed to be highly 
efficient, flexible and portable. It implements machine learning algorithms under the 
Gradient Boosting framework. XGBoost provides a parallel tree boosting (also known as 
GBDT, GBM) that solve many data science problems in a fast and accurate way. The same 
code runs on major distributed environment (Kubernetes, Hadoop, SGE, Dask, Spark, 
PySpark) and can solve problems beyond billions of examples.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
XGBoost is an optimized distributed gradient boosting library designed to be highly 
efficient, flexible and portable. It implements machine learning algorithms under the 
Gradient Boosting framework. XGBoost provides a parallel tree boosting (also known as 
GBDT, GBM) that solve many data science problems in a fast and accurate way. The same 
code runs on major distributed environment (Kubernetes, Hadoop, SGE, Dask, Spark, 
PySpark) and can solve problems beyond billions of examples.

%prep
%autosetup -n %{pypi_name}-%{pypi_version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}

%changelog
* Tue Jan 30 2024 zhongling.h <zhonglingh@linux.alibaba.com> - 2.0.3-1
- Initial package.
